<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateDependenciaRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombre_mod' => 'required',
            'titular_mod' => 'required',
            'puesto_mod' => 'required',
            'domicilio_mod' => 'required'
        ];
    }

    public function messages(){
        return [
          'nombre_mod.required' => 'El nombre es obligatorio.',
          'titular_mod.required' => 'El titular es obligatorio.',
          'puesto_mod.required' => 'El puesto es obligatorio.',
          'domicilio_mod.required' => 'El domicilio es obligatorio.'
        ];

    }
}
